# utente.s
#

# Tipi di interruzione per le chiamate di sistema e per le primitive di IO
#

.set tipo_a, 0x30
.set tipo_t, 0x31
.set tipo_b, 0x32
.set tipo_g, 0x33
.set tipo_si, 0x34
.set tipo_w, 0x35
.set tipo_s, 0x36
.set tipo_ma, 0x37
.set tipo_mf, 0x38
.set tipo_d, 0x39

.set io_tipo_rsen, 0x60
.set io_tipo_rseln, 0x61
.set io_tipo_wsen, 0x62
.set io_tipo_wse0, 0x63
.set io_tipo_tr, 0x64
.set io_tipo_tw, 0x65
.set io_tipo_geom, 0x66
.set io_tipo_rhdn, 0x67
.set io_tipo_whdn, 0x68
.set io_tipo_rfdn, 0x69
.set io_tipo_wfdn, 0x6A

.set io_tipo_dp, 0x6B
.set io_tipo_gams, 0x6C
.set io_tipo_sams, 0x6D
.set io_tipo_fdma, 0x6E
.set io_tipo_isnd, 0x6F
.set io_tipo_wsb, 0x80
.set io_tipo_rsb, 0x81
.set io_tipo_sms, 0x82
.set io_tipo_gms, 0x83
.set io_tipo_spon, 0x84
.set io_tipo_spof, 0x85
.set io_tipo_dpl, 0x86
.set io_tipo_drd, 0x87
.set io_tipo_gss, 0x88
.set io_tipo_rmd, 0x89
.set io_tipo_wmd, 0x8A
.set io_tipo_rsmd, 0x8B
.set io_tipo_stmd, 0x8C

	
	.text
	.global _activate_p
_activate_p:
	int $tipo_a
	ret

	.global _terminate_p
_terminate_p:
	int $tipo_t
	ret

	.global _begin_p
_begin_p:
	int $tipo_b
	ret

	.global _give_num
_give_num:
	int $tipo_g
	ret

	.global _sem_ini
_sem_ini:
	int $tipo_si
	ret

	.global _sem_wait
_sem_wait:
	int $tipo_w
	ret

	.global _sem_signal
_sem_signal:
	int $tipo_s
	ret

	.global _mem_alloc
_mem_alloc:
	int $tipo_ma
	ret

	.global _mem_free
_mem_free:
	int $tipo_mf
	ret

	.global _delay
_delay:
	int $tipo_d
	ret

	.global _readse_n
_readse_n:
	int $io_tipo_rsen
	ret

	.global _readse_ln
_readse_ln:
	int $io_tipo_rseln
	ret

	.global _writese_n
_writese_n:
	int $io_tipo_wsen
	ret

	.global _writese_0
_writese_0:
	int $io_tipo_wse0
	ret

	.global _term_read_n
_term_read_n:
	int $io_tipo_tr
	ret

	.global _term_write_n
_term_write_n:
	int $io_tipo_tw
	ret

	.global _geometria
_geometria:
	int $io_tipo_geom
	ret

	.global _readfd_n
_readfd_n:
	int $io_tipo_rfdn
	ret

	.global _writefd_n
_writefd_n:
	int $io_tipo_wfdn
	ret

	.global _readhd_n
_readhd_n:
	int $io_tipo_rhdn
	ret

	.global _writehd_n
_writehd_n:
	int $io_tipo_whdn
	ret
	
	.global _getAllMixerSetting
_getAllMixerSetting:
	int $io_tipo_gams
	ret

	.global _setAllMixerSetting
_setAllMixerSetting:
	int $io_tipo_sams
	ret

	.global _imposta_suono
_imposta_suono:
	int $io_tipo_isnd
	ret

	.global _writesb_n
_writesb_n:
	int $io_tipo_wsb
	ret
	
	.global _readsb_n
_readsb_n:
	int $io_tipo_rsb
	ret
	
	.global _speakerOn
_speakerOn:
	int $io_tipo_spon
	ret
	
	.global _speakerOff
_speakerOff:
	int $io_tipo_spof
	ret

	.global _startMidi
_startMidi:
	int $io_tipo_stmd
	ret

	.global _resetMidi
_resetMidi:
	int $io_tipo_rsmd
	ret

	.global _writeMidi
_writeMidi:
	int $io_tipo_wmd
	ret

	.global _readMidi
_readMidi:
	int $io_tipo_rmd
	ret

	.global _getSpeakerStatus
_getSpeakerStatus:
	int $io_tipo_gss
	ret

	.global _DirectPlay
_DirectPlay:
	int $io_tipo_dpl
	ret
		
	.global _getMixerSetting
_getMixerSetting:
	int $io_tipo_gms
	ret

	.global _setMixerSetting
_setMixerSetting:
	int $io_tipo_sms
	ret

	.global _DirectRecord
_DirectRecord:
	int $io_tipo_drd
	ret
